curl --request GET \
--url https://api.hubapi.com/marketing/v3/forms/{formId} \
--header 'Authorization: Bearer <token>'{
"id": "6eae0163-5362-4c0e-809c-b99a18678adc",
"name": "Register for updates",
"createdAt": "2020-09-22T05:12:27.505Z",
"updatedAt": "2020-09-22T07:17:31.627Z",
"archived": false,
"fieldGroups": [
{
"groupType": "default_group",
"richTextType": "text",
"fields": [
{
"objectTypeId": "0-1",
"name": "email",
"label": "Email",
"required": true,
"hidden": false,
"fieldType": "email",
"validation": {
"blockedEmailDomains": [],
"useDefaultBlockList": false
}
}
]
},
{
"groupType": "default_group",
"richTextType": "text",
"fields": [
{
"objectTypeId": "0-1",
"name": "firstname",
"label": "First name",
"required": false,
"hidden": false,
"fieldType": "single_line_text"
},
{
"objectTypeId": "0-1",
"name": "lastname",
"label": "Last name",
"required": false,
"hidden": false,
"fieldType": "single_line_text"
}
]
}
],
"configuration": {
"language": "en",
"cloneable": true,
"postSubmitAction": {
"type": "thank_you",
"value": "Thanks for submitting the form."
},
"editable": true,
"archivable": true,
"recaptchaEnabled": true,
"notifyContactOwner": false,
"notifyRecipients": [
"2886602"
],
"createNewContactForNewEmail": false,
"prePopulateKnownValues": true,
"allowLinkToResetKnownValues": false,
"lifecycleStages": [
{
"objectTypeId": "0-1",
"value": "subscriber"
},
{
"objectTypeId": "0-2",
"value": "subscriber"
}
]
},
"displayOptions": {
"renderRawHtml": false,
"theme": "default_style",
"submitButtonText": "Submit",
"style": {
"fontFamily": "arial, helvetica, sans-serif",
"backgroundWidth": "100%",
"labelTextColor": "#33475b",
"labelTextSize": "13px",
"helpTextColor": "#7C98B6",
"helpTextSize": "11px",
"legalConsentTextColor": "#33475b",
"legalConsentTextSize": "14px",
"submitColor": "#ff7a59",
"submitAlignment": "left",
"submitFontColor": "#ffffff",
"submitSize": "12px"
},
"cssClass": "hs-form stacked"
},
"legalConsentOptions": {
"type": "explicit_consent_to_process",
"communicationConsentText": "<p>Fancy Forms, LLC is committed to protecting and respecting your privacy, and we’ll only use your personal information to administer your account and to provide the products and services you requested from us. From time to time, we would like to contact you about our products and services, as well as other content that may be of interest to you. If you consent to us contacting you for this purpose, please tick below to say how you would like us to contact you:</p>",
"communicationsCheckboxes": [
{
"required": false,
"subscriptionTypeId": 3883363,
"label": "<p>I agree to receive other communications from Fancy Forms, LLC.</p>"
}
],
"consentToProcessText": "<p>In order to provide you the content requested, we need to store and process your personal data. If you consent to us storing your personal data for this purpose, please tick the checkbox below.</p>",
"consentToProcessCheckboxLabel": "<p>I agree to allow Fancy Forms, LLC to store and process my personal data.</p>",
"privacyText": "<p>You can unsubscribe from these communications at any time. For more information on how to unsubscribe, our privacy practices, and how we are committed to protecting and respecting your privacy, please review our Privacy Policy.</p>"
},
"formType": "hubspot"
}Returns a form based on the form ID provided.
curl --request GET \
--url https://api.hubapi.com/marketing/v3/forms/{formId} \
--header 'Authorization: Bearer <token>'{
"id": "6eae0163-5362-4c0e-809c-b99a18678adc",
"name": "Register for updates",
"createdAt": "2020-09-22T05:12:27.505Z",
"updatedAt": "2020-09-22T07:17:31.627Z",
"archived": false,
"fieldGroups": [
{
"groupType": "default_group",
"richTextType": "text",
"fields": [
{
"objectTypeId": "0-1",
"name": "email",
"label": "Email",
"required": true,
"hidden": false,
"fieldType": "email",
"validation": {
"blockedEmailDomains": [],
"useDefaultBlockList": false
}
}
]
},
{
"groupType": "default_group",
"richTextType": "text",
"fields": [
{
"objectTypeId": "0-1",
"name": "firstname",
"label": "First name",
"required": false,
"hidden": false,
"fieldType": "single_line_text"
},
{
"objectTypeId": "0-1",
"name": "lastname",
"label": "Last name",
"required": false,
"hidden": false,
"fieldType": "single_line_text"
}
]
}
],
"configuration": {
"language": "en",
"cloneable": true,
"postSubmitAction": {
"type": "thank_you",
"value": "Thanks for submitting the form."
},
"editable": true,
"archivable": true,
"recaptchaEnabled": true,
"notifyContactOwner": false,
"notifyRecipients": [
"2886602"
],
"createNewContactForNewEmail": false,
"prePopulateKnownValues": true,
"allowLinkToResetKnownValues": false,
"lifecycleStages": [
{
"objectTypeId": "0-1",
"value": "subscriber"
},
{
"objectTypeId": "0-2",
"value": "subscriber"
}
]
},
"displayOptions": {
"renderRawHtml": false,
"theme": "default_style",
"submitButtonText": "Submit",
"style": {
"fontFamily": "arial, helvetica, sans-serif",
"backgroundWidth": "100%",
"labelTextColor": "#33475b",
"labelTextSize": "13px",
"helpTextColor": "#7C98B6",
"helpTextSize": "11px",
"legalConsentTextColor": "#33475b",
"legalConsentTextSize": "14px",
"submitColor": "#ff7a59",
"submitAlignment": "left",
"submitFontColor": "#ffffff",
"submitSize": "12px"
},
"cssClass": "hs-form stacked"
},
"legalConsentOptions": {
"type": "explicit_consent_to_process",
"communicationConsentText": "<p>Fancy Forms, LLC is committed to protecting and respecting your privacy, and we’ll only use your personal information to administer your account and to provide the products and services you requested from us. From time to time, we would like to contact you about our products and services, as well as other content that may be of interest to you. If you consent to us contacting you for this purpose, please tick below to say how you would like us to contact you:</p>",
"communicationsCheckboxes": [
{
"required": false,
"subscriptionTypeId": 3883363,
"label": "<p>I agree to receive other communications from Fancy Forms, LLC.</p>"
}
],
"consentToProcessText": "<p>In order to provide you the content requested, we need to store and process your personal data. If you consent to us storing your personal data for this purpose, please tick the checkbox below.</p>",
"consentToProcessCheckboxLabel": "<p>I agree to allow Fancy Forms, LLC to store and process my personal data.</p>",
"privacyText": "<p>You can unsubscribe from these communications at any time. For more information on how to unsubscribe, our privacy practices, and how we are committed to protecting and respecting your privacy, please review our Privacy Policy.</p>"
},
"formType": "hubspot"
}Supported products
Required Scopes
formsThe access token received from the authorization server in the OAuth 2.0 flow.
The unique identifier of the form
Whether to return only results that have been archived.
successful operation
hubspot Show child attributes
The form fields included in the group
A form field used for collecting an email address.
Show child attributes
A list of other fields to make visible based on the value filled in for this field.
Show child attributes
A condition based on customer input
Show child attributes
between, contains, doesnt_contain, eq, gt, gte, is_not_empty, lt, lte, neq, not_between, set_all, set_any, set_eq, set_neq, set_not_all, set_not_any, str_ends_with, str_starts_with, within_time, within_time_reverse A form field used for collecting a phone number.
Show child attributes
A list of other fields to make visible based on the value filled in for this field.
Determines how the field will be displayed and validated.
phone Whether a field should be hidden or not. Hidden fields won't appear on the form, but can be used to pass a value to a property without requiring the customer to fill it in.
The main label for the form field.
The identifier of the field. In combination with the object type ID, it must be unique.
A unique ID for this field's CRM object type. For example a CONTACT field will have the object type ID 0-1.
Whether a value for this field is required when submitting the form.
Whether to display a country code drop down next to the phone field.
The value filled in by default. This value will be submitted unless the customer modifies it.
Additional text helping the customer to complete the field.
The prompt text showing when the field isn't filled in.
Determines how the field will be displayed and validated.
email Whether a field should be hidden or not. Hidden fields won't appear on the form, but can be used to pass a value to a property without requiring the customer to fill it in.
The main label for the form field.
The identifier of the field. In combination with the object type ID, it must be unique.
A unique ID for this field's CRM object type. For example a CONTACT field will have the object type ID 0-1.
Whether a value for this field is required when submitting the form.
The value filled in by default. This value will be submitted unless the customer modifies it.
Additional text helping the customer to complete the field.
The prompt text showing when the field isn't filled in.
default_group, progressive, queued The type of rich text included. The default value is text.
image, text A block of rich text or an image. Those can be used to add extra information for the customers filling in the form. If the field group includes fields, the rich text will be displayed before the fields.
Show child attributes
Whether to add a reset link to the form. This removes any pre-populated content on the form and creates a new contact on submission.
Whether the form can be archived.
Whether the form can be cloned.
Whether to create a new contact when a form is submitted with an email address that doesn’t match any in your existing contacts records.
Whether the form can be edited.
The language of the form.
af, ar-eg, bg, bn, ca-es, cs, da, de, el, en, es, es-mx, fi, fr, fr-ca, he-il, hr, hu, id, it, ja, ko, lt, ms, nl, no-no, pl, pt, pt-br, ro, ru, sk, sl, sv, th, tl, tr, uk, vi, zh-cn, zh-hk, zh-tw Whether to send a notification email to the contact owner when a submission is received.
The list of user IDs to receive a notification email when a submission is received.
What should happen after the customer submits the form.
Show child attributes
Whether contact fields should pre-populate with known information when a contact returns to your site.
Whether CAPTCHA (spam prevention) is enabled.
Options for styling the form.
Show child attributes
Whether the form will render as raw HTML as opposed to inside an iFrame.
Styling options for the form
Show child attributes
center, left, right The text displayed on the form submit button.
The theme used for styling the input fields. This will not apply if the form is added to a HubSpot CMS page.
canvas, default_style, legacy, linear, round, sharp Was this page helpful?